/*
import 'package:rasadyar_core/core.dart';
import 'package:rasadyar_core/data/model/local/target_page/target_page.dart';

class LocalStorageService extends GetxService {
  static const String _targetPageBox = 'targetPageBox';
  static const String _appBoxName = 'AppBox';

  final HiveLocalStorage _localStorage = diCore.get<HiveLocalStorage>();

  @override
  void onInit() async {
    super.onInit();
    await _localStorage.openBox<TargetPage>(_targetPageBox);
    await _localStorage.openBox(_appBoxName);
  }



  Future<void> saveTargetPage(TargetPage targetPage) async {
    await _localStorage.add(boxName: _targetPageBox, value: targetPage);
  }
}
*/
